> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# List Slash Commands

> Lists all available slash commands.
### Changelog
| Version      | Description |
| ---------------- | ------------|
|0.60.2      | Added       |

## OpenAPI

````json GET /api/v1/commands.list
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Miscellaneous"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/commands.list": {
      "get": {
        "tags": [
          "Commands"
        ],
        "summary": "List Slash Commands",
        "description": "Lists all available slash commands.\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|0.60.2      | Added       |",
        "operationId": "get-api-v1-commands.list",
        "parameters": [
          {
            "$ref": "#/components/parameters/Auth-Token"
          },
          {
            "$ref": "#/components/parameters/UserId"
          },
          {
            "$ref": "#/components/parameters/count"
          },
          {
            "$ref": "#/components/parameters/offset"
          },
          {
            "schema": {
              "type": "string"
            },
            "in": "query",
            "name": "sort",
            "description": "Sort the commands in ascending (`1`) or descending (`-1`) order. The value must be entered as a JSON string. The options are as follows:\n * `command`: Sort by command name. For example, `sort={\"command\":1}`\n * `description`: Sort by description. For example, `sort={\"description\":-1}`"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "commands": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "command": {
                            "type": "string"
                          },
                          "clientOnly": {
                            "type": "boolean"
                          }
                        }
                      }
                    },
                    "offset": {
                      "type": "integer"
                    },
                    "count": {
                      "type": "integer"
                    },
                    "total": {
                      "type": "integer"
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success": {
                    "value": {
                      "commands": [
                        {
                          "command": "invite-all-from",
                          "clientOnly": "false"
                        },
                        {
                          "command": "slackbridge-import",
                          "clientOnly": "false"
                        },
                        {
                          "command": "gimme",
                          "params": "your_message_optional",
                          "description": "Slash_Gimme_Description",
                          "clientOnly": "false"
                        },
                        {
                          "command": "lennyface",
                          "params": "your_message_optional",
                          "description": "Slash_LennyFace_Description",
                          "clientOnly": "false"
                        },
                        {
                          "command": "shrug",
                          "params": "your_message_optional",
                          "description": "Slash_Shrug_Description",
                          "clientOnly": "false"
                        },
                        {
                          "command": "tableflip",
                          "params": "your_message_optional",
                          "description": "Slash_Tableflip_Description",
                          "clientOnly": "false"
                        },
                        {
                          "command": "unflip",
                          "params": "your_message_optional",
                          "description": "Slash_TableUnflip_Description",
                          "clientOnly": "false"
                        },
                        {
                          "command": "create",
                          "clientOnly": "false"
                        },
                        {
                          "command": "help",
                          "clientOnly": "false"
                        },
                        {
                          "command": "invite",
                          "clientOnly": "false"
                        },
                        {
                          "command": "invite-all-to",
                          "clientOnly": "false"
                        },
                        {
                          "command": "archive",
                          "clientOnly": "false"
                        },
                        {
                          "command": "join",
                          "clientOnly": "false"
                        },
                        {
                          "command": "kick",
                          "clientOnly": "false"
                        },
                        {
                          "command": "leave",
                          "clientOnly": "false"
                        },
                        {
                          "command": "part",
                          "clientOnly": "false"
                        },
                        {
                          "command": "me",
                          "params": "your_message",
                          "description": "Displays_action_text",
                          "clientOnly": "false"
                        },
                        {
                          "command": "msg",
                          "clientOnly": "false"
                        },
                        {
                          "command": "mute",
                          "clientOnly": "false"
                        },
                        {
                          "command": "unmute",
                          "clientOnly": "false"
                        },
                        {
                          "command": "topic",
                          "params": "Slash_Topic_Params",
                          "description": "Slash_Topic_Description",
                          "clientOnly": "false"
                        },
                        {
                          "command": "unarchive",
                          "clientOnly": "false"
                        }
                      ],
                      "offset": "0",
                      "count": "22",
                      "total": "22",
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      },
      "count": {
        "name": "count",
        "in": "query",
        "description": "The number of items to return.  Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50"
      },
      "offset": {
        "name": "offset",
        "in": "query",
        "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50"
      }
    },
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    }
  }
}
````

